OPENVPN3-ADMIN-LOG-SERVICE(8)

NAME
openvpn3-admin-log-service - OpenVPN 3 Linux Administration - Log Service management

SYNOPSIS
openvpn3-admin log-service [OPTIONS]
openvpn3-admin log-service -h | --help

DESCRIPTION

This manages a few adjustable knobs available in the openvpn3-service-log when run as a D-Bus service. The access control for this command is managed in the D-Bus policy, which by default is only allowed for the root and _openvpn user accounts.

OPTIONS

    -h, --help
        Print usage and help details to the terminal

    --config-show
        Shows the contents of the configuration file used by openvpn3-service-log(8).

    --config-set
        Modifies a configuration setting in the configuration file. Changing the configuration file will require the openvpn3-service-log(8) process to be restarted before they become active. This option requires two arguments: CONFIG-NAME and CONFIG-VALUE. Valid CONFIG-NAMEs are:

        log-file
            Sets the log destination for log events. See the --log-file option in the man page to openvpn3-service-log(8) for details.

            This cannot be set if journald or syslog has been set.

        colour
            Enables using colours in logged lines when logging to file. This can only be used when a log file configured.

        idle-exit
            Sets the automatic idle shut down time-out. See the --idle-exit option in the man page for openvpn3-service-log(8) for details.

        journald
            Configures openvpn3-service-log(8) to send log events to the systemd-journald(8) service. See the openvpn3-service-log(8) man page for more details.

            This option cannot be combined with syslog, log-file or colour.

        syslog
            Configures openvpn3-service-log(8) to send log events to the locally running syslog service.

            This option cannot be combined with journald, log-file or colour.

        syslog-facility
            Configures which syslog facility to use when logging via syslog. Default is LOG_DAEMON. This has only effect when logging via syslog has been enabled.

    --config-unset
        Similar to --config-set but removes a setting from the configuration file.

    --log-level LEVEL
        Sets the system wide log verbosity for the log events being logged to file or any other log destination openvpn3-service-log is configured to use. Valid values are 0 to 6. The higher value, the more verbose the log events will be. Log level 6 will contain all debug events.

    --timestamp BOOL
        Some of the log destinations supported by openvpn3-service-log may allow one to log with or without timestamps. This option enables or disables timestamps attached to log events. Valid arguments: true, false.

    --dbus-details BOOL
        Each log event contains some more detailed meta-data of the sender of the log event. This is disabled by default, but when enabled it will add a line on the log destination before the log event itself with this meta-data. This is mostly only useful when debugging and not recommended for normal production. Valid arguments: true, false

    --enable-log-prefix BOOL
        This setting is only available if openvpn3-service-log(8) is configured to use journald. If enabled, each log line (MESSAGE=) in the journal will be prefixed with a log tag. The log tag is always logged as a journald meta data variable (O3_LOGTAG). See journalctl(1) and the --output and --output-fields options for details. Valid arguments: true, false.

    --list-subscriptions
        Lists all the services the log service has subscribed to.

SEE ALSO

openvpn3(1) openvpn3-service-log(8)